Package org.apache.torque.generator.configuration.paths

# Interface TorqueGeneratorPaths

All Known Implementing Classes:
  `DefaultTorqueGeneratorPaths`

public interface TorqueGeneratorPaths
The paths describing the internal organization (i.e. file paths) of the Torque generator files.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfigurationDirectory()`
  Returns the path to the directory containing the configuration, relative to the torque-gen directory.
  `String`
  `getControlConfigurationFile()`
  Returns the path to the file containing the control configuration, relative to the configuration directory.
  `String`
  `getOutletDirectory()`
  Returns the path to the directory containing the outlet definitions, relative to the Torque generator configuration directory.
  `String`
  `getResourceDirectory()`
  Returns the path to the directory containing the resources, relative to the Torque generator configuration directory.
  `String`
  `getTemplateDirectory()`
  Returns the path to the directory containing the templates, relative to the torque-gen directory.

- ## Method Details

  - ### getControlConfigurationFile

    String getControlConfigurationFile()
    Returns the path to the file containing the control configuration, relative to the configuration directory.
    Returns:
      the path to the control configuration file, not null.

  - ### getTemplateDirectory

    String getTemplateDirectory()
    Returns the path to the directory containing the templates, relative to the torque-gen directory.
    Returns:
      the path to the template directory. not null.

  - ### getConfigurationDirectory

    String getConfigurationDirectory()
    Returns the path to the directory containing the configuration, relative to the torque-gen directory.
    Returns:
      the path to the configuration directory. not null.

  - ### getOutletDirectory

    String getOutletDirectory()
    Returns the path to the directory containing the outlet definitions, relative to the Torque generator configuration directory.
    Returns:
      the path to the outlet definition directory, not null.

  - ### getResourceDirectory

    String getResourceDirectory()
    Returns the path to the directory containing the resources, relative to the Torque generator configuration directory.
    Returns:
      the path to the resources directory, not null.